Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.service
Class CardServiceInsufficientMemoryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--opencard.core.OpenCardException
                              |
                              +--opencard.core.service.CardServiceException
                                    |
                                    +--opencard.opt.service.CardServiceInsufficientMemoryException

public class CardServiceInsufficientMemoryException
extends opencard.core.service.CardServiceException

Exception thrown when the smartcard is out of EEPROM space. This typically happens only if new data is put onto a smartcard, for example if a new applet is loaded onto a JavaCard.

See Also:
  Serialized Form

Constructor Summary
`CardServiceInsufficientMemoryException()` Creates a new exception without detail message.
`CardServiceInsufficientMemoryException(java.lang.String message)` Creates a new exception with the given detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceInsufficientMemoryException

    public CardServiceInsufficientMemoryException()

  Creates a new exception without detail message.

### CardServiceInsufficientMemoryException

    public CardServiceInsufficientMemoryException(java.lang.String message)

  Creates a new exception with the given detail message.
  Parameters:
    `message` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD